package J20250717.demo05;

/**
 * @author WanJl
 * @version 1.0
 * @title DaJi
 * @description
 * @create 2025/7/17
 */
public class DaJi extends Hero{

    {
        this.setName("妲己");
    }
    public DaJi() {
        debut();
    }

    public DaJi(String name, int hp, int mp, int attack, int speed, int defenses) {
        super(name, hp, mp, attack, speed, defenses);
        debut();
    }
    /**
     * 英雄登场的方法
     */
    @Override
    public void debut() {
        System.out.println(this.getName()+"登场.....");
    }
}
